Skip to content

WebAPI.Host (3.0)

Download OpenAPI description
Languages
Servers
Mock server

https://{{your_venus_webapi_ip_address}}/

Cameras

Operations

Devices

Operations

ErrorHandler

Operations

Files

Operations

InstrumentData

Operations

RunExecutor

Operations

System

Operations

Users

Operations

Gets Windows user name and Vector access rights.

Request

Security
Bearer
curl -i -X GET \
  'https://{{your_venus_webapi_ip_address}}/api/vector/v3/users/logon' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Returns Hamilton.WebAPI.Common.UserRightsContainer that contains enum {AllAccess=0, Programmer=1, Operator2=2, Operator=3, NoAccess=4}.

Body
succeededboolean
messagestring
resetRunExecutorboolean
hasValuebooleanread-only
valueobject(UserRightsContainer)
Response
{ "succeeded": true, "message": "string", "resetRunExecutor": true, "hasValue": true, "value": { "userName": "string", "userAccess": 0 } }

Gets the display name of the user Run Executor is running under.

Request

Security
Bearer
curl -i -X GET \
  'https://{{your_venus_webapi_ip_address}}/api/vector/v3/users/display-name' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Returns Microsoft.AspNetCore.Mvc.OkObjectResult object.

Body
succeededboolean
messagestring
resetRunExecutorboolean
hasValuebooleanread-only
valuestring or null
Response
{ "succeeded": true, "message": "string", "resetRunExecutor": true, "hasValue": true, "value": "string" }

Gets the current Windows session state (Locked or Unlocked) and the timestamp of the last state changed.

Request

Security
Bearer
curl -i -X GET \
  'https://{{your_venus_webapi_ip_address}}/api/vector/v3/users/session-state' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Returns Microsoft.AspNetCore.Mvc.OkObjectResult object.

Body
statestring
lastChangedstring(date-time)
Response
{ "state": "string", "lastChanged": "2019-08-24T14:15:22Z" }